// Generated by gencpp from file eai_tutorials/AddTwoInts.msg
// DO NOT EDIT!


#ifndef EAI_TUTORIALS_MESSAGE_ADDTWOINTS_H
#define EAI_TUTORIALS_MESSAGE_ADDTWOINTS_H

#include <ros/service_traits.h>


#include <eai_tutorials/AddTwoIntsRequest.h>
#include <eai_tutorials/AddTwoIntsResponse.h>


namespace eai_tutorials
{

struct AddTwoInts
{

typedef AddTwoIntsRequest Request;
typedef AddTwoIntsResponse Response;
Request request;
Response response;

typedef Request RequestType;
typedef Response ResponseType;

}; // struct AddTwoInts
} // namespace eai_tutorials


namespace ros
{
namespace service_traits
{


template<>
struct MD5Sum< ::eai_tutorials::AddTwoInts > {
  static const char* value()
  {
    return "6a2e34150c00229791cc89ff309fff21";
  }

  static const char* value(const ::eai_tutorials::AddTwoInts&) { return value(); }
};

template<>
struct DataType< ::eai_tutorials::AddTwoInts > {
  static const char* value()
  {
    return "eai_tutorials/AddTwoInts";
  }

  static const char* value(const ::eai_tutorials::AddTwoInts&) { return value(); }
};


// service_traits::MD5Sum< ::eai_tutorials::AddTwoIntsRequest> should match 
// service_traits::MD5Sum< ::eai_tutorials::AddTwoInts > 
template<>
struct MD5Sum< ::eai_tutorials::AddTwoIntsRequest>
{
  static const char* value()
  {
    return MD5Sum< ::eai_tutorials::AddTwoInts >::value();
  }
  static const char* value(const ::eai_tutorials::AddTwoIntsRequest&)
  {
    return value();
  }
};

// service_traits::DataType< ::eai_tutorials::AddTwoIntsRequest> should match 
// service_traits::DataType< ::eai_tutorials::AddTwoInts > 
template<>
struct DataType< ::eai_tutorials::AddTwoIntsRequest>
{
  static const char* value()
  {
    return DataType< ::eai_tutorials::AddTwoInts >::value();
  }
  static const char* value(const ::eai_tutorials::AddTwoIntsRequest&)
  {
    return value();
  }
};

// service_traits::MD5Sum< ::eai_tutorials::AddTwoIntsResponse> should match 
// service_traits::MD5Sum< ::eai_tutorials::AddTwoInts > 
template<>
struct MD5Sum< ::eai_tutorials::AddTwoIntsResponse>
{
  static const char* value()
  {
    return MD5Sum< ::eai_tutorials::AddTwoInts >::value();
  }
  static const char* value(const ::eai_tutorials::AddTwoIntsResponse&)
  {
    return value();
  }
};

// service_traits::DataType< ::eai_tutorials::AddTwoIntsResponse> should match 
// service_traits::DataType< ::eai_tutorials::AddTwoInts > 
template<>
struct DataType< ::eai_tutorials::AddTwoIntsResponse>
{
  static const char* value()
  {
    return DataType< ::eai_tutorials::AddTwoInts >::value();
  }
  static const char* value(const ::eai_tutorials::AddTwoIntsResponse&)
  {
    return value();
  }
};

} // namespace service_traits
} // namespace ros

#endif // EAI_TUTORIALS_MESSAGE_ADDTWOINTS_H
